<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<body>

<script>
  function getParameterByName(name) {

    var match = RegExp('[?&]' + name + '=([^&]*)')
      .exec(window.location.search);

    return match && decodeURIComponent(match[1].replace(/\+/g, ' '));

  }

  var data = getParameterByName('data');
  const jsonString = atob(data);
  const jsonData = JSON.parse(jsonString);
  console.log(jsonData);
</script>

</body>
</html>